#include <algorithm>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>
using namespace std;

int valid_ans;
float t_ans;

const char *flag_base =
    "e693628d405583b465b9d35e5e164d8d78276ef52f659b955d083e565e2522e6";
int main(int argc, char **argv) {
    FILE *in = fopen(argv[1], "r");   //输入文件名
    FILE *out = fopen(argv[2], "r");  //选手输出文件名
    FILE *ans = fopen(argv[3], "r");  //标准输出文件名
    FILE *full = fopen(argv[4], "r"); //满分文件名
    FILE *scr = fopen(argv[5], "w");  //分数文件名，spj自己创建
    FILE *log = fopen(argv[6], "w");  //额外信息文件名,spj自己创建

    /**
     * conv这题将最终正确性信息以及指标输出到记录分数文件内
     *
     * 格式如下：
     * iscorrect
     * t
     */

    char flag[256] = {0};

    int ret = fscanf(out, "%100s %d %f", flag, &valid_ans, &t_ans);

    if (ret != 3) {
        fprintf(log, "Output error!\n");
        valid_ans = 0;
        t_ans = 0;
    }

    if (strcmp(flag, flag_base)) {
        fprintf(log, "Flag not match!\n");
        valid_ans = 0;
        t_ans = 0;
        goto exit;
    }

    fprintf(scr, "%d\n", valid_ans);
    fprintf(scr, "t(ms): %.6f\n", t_ans);

    if (valid_ans == 1) {
        fprintf(log, "pass correctness test\n");
    } else if (valid_ans == 0) {
        fprintf(log, "fail correctness test\n");
    } else {
        fprintf(log, "valid_and is not 1 or 0, maybe something is wrong in "
                     "output");
    }

exit:
    fclose(in);
    fclose(out);
    fclose(ans);
    fclose(full);
    fclose(scr);
    fclose(log);
    return 0;
}
